/******************************
 * 其他方法
******************************/
export interface getBankInfoOptions {
    cardNo: string | number;
    success?: (options: getBankInfoSuccessOptions) => void;
    fail?: (any: any) => void;
}
interface getBankInfoSuccessOptions {
    bank: string;
    bankName: string;
    cardType: string;
    cardTypeName: string;
    key: string;
    messages: any[];
    validated: boolean;
}
/**
 * 深度拷贝
 * @param params {Object|Array} 需要拷贝的对象或数组
 * @return {Object|Array} 拷贝返回的对象或数组
 */
declare function deepCopy<T extends any>(params: T): T;
/**
 * 获取查询url后面参数
 * @param url {String} 链接地址
 * @return {Object} 获取到的参数对象
 */
declare function getParams(href: string): object;
/**
 * 通过银行卡获取信息
 */
declare function getBankInfo({ cardNo, success, fail }: getBankInfoOptions): void;
declare const _default: {
    deepCopy: typeof deepCopy;
    isMobile: () => boolean;
    isWeixin: () => boolean;
    getParams: typeof getParams;
    getBankInfo: typeof getBankInfo;
};
export default _default;
