/******************************
 * 请求 api （基于fetch）
******************************/
/// <reference types="./request" />
declare type InterceptorsRequest = <T = Request.RequestOption>(config: T) => T;
declare type InterceptorsResponseSuccess = (result: any) => any;
declare type InterceptorsResponseError = (result: any) => any;
declare function setRequestConfig(type: string, value: any): void;
/**
 * 请求封装（基于fetch）
 * @param optionsOrUrl 请求配置 或 url
 * @param otherOptions 其他请求配置
 * @return {Promise} 返回Promise对象
 */
declare function request(optionsOrUrl: Request.RequestOption | string, otherOptions?: Request.RequestOption): Request.RequestTask;
declare const _default: {
    interceptors: {
        request: {
            use: (fn: InterceptorsRequest) => InterceptorsRequest;
            eject: (T: any) => void;
        };
        response: {
            success: {
                use: (fn: InterceptorsResponseSuccess) => InterceptorsResponseSuccess;
                eject: (T: any) => void;
            };
            error: {
                use: (fn: InterceptorsResponseError) => InterceptorsResponseError;
                eject: (T: any) => void;
            };
        };
    };
    setRequestConfig: typeof setRequestConfig;
    request: typeof request;
};
export default _default;
