/// <reference types="./request" />
declare const api: {
    validStringType: (str: string, type: "string" | "number" | "english" | "chinese" | "english-chinese" | "string-chinese" | "email" | "phone" | "idcard" | "url") => boolean;
    checkStringLength: (str: string | number, min: number, max: number) => boolean;
    setStorage: (key: string, value: string, expires?: number) => void;
    setSession: (key: string, value: string, expires?: number) => void;
    getStorage: (key: string) => string;
    getSession: (key: string) => string;
    removeStorage: (key: string) => void;
    removeSession: (key: string) => void;
    deepCopy: <T extends unknown>(params: T) => T;
    isMobile: () => boolean;
    isWeixin: () => boolean;
    getParams: (href: string) => object;
    getBankInfo: ({ cardNo, success, fail }: import("./js/other").getBankInfoOptions) => void;
    on: (event: string, callback: (...any: any[]) => any) => void;
    off: (event: string, callback?: (...any: any[]) => any) => void;
    emit: (event: string, ...args: any[]) => void;
    once: (event: string, callback: (...any: any[]) => any) => void;
    interceptors: {
        request: {
            use: (fn: <T_1 = Request.RequestOption>(config: T_1) => T_1) => <T_1 = Request.RequestOption>(config: T_1) => T_1;
            eject: (T: any) => void;
        };
        response: {
            success: {
                use: (fn: (result: any) => any) => (result: any) => any;
                eject: (T: any) => void;
            };
            error: {
                use: (fn: (result: any) => any) => (result: any) => any;
                eject: (T: any) => void;
            };
        };
    };
    setRequestConfig: (type: string, value: any) => void;
    request: (optionsOrUrl: string | Request.RequestOption, otherOptions?: Request.RequestOption) => Request.RequestTask;
    date: (format: string, timestamp?: number) => string;
};
export default api;
